package com.qmth.sop.business.bean.params;

import com.qmth.sop.common.enums.LoginTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 用户登录
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/4/23
 */
public class LoginParam implements Serializable {

    @ApiModelProperty(value = "验证码")
    private String code;

    @ApiModelProperty(value = "用户手机号（优先给用户填的手机号发短信）")
    private String mobileNumber;

    @ApiModelProperty(value = "登录名")
    private String loginName;

    @ApiModelProperty(value = "密码")
    private String password;

    @ApiModelProperty(value = "登录类型")
    @NotNull(message = "登录类型不能为空")
    private LoginTypeEnum type;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMobileNumber() {
        return mobileNumber;
    }

    public void setMobileNumber(String mobileNumber) {
        this.mobileNumber = mobileNumber;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public LoginTypeEnum getType() {
        return type;
    }

    public void setType(LoginTypeEnum type) {
        this.type = type;
    }
}
